version: "3.1"
services:
  worker-1:
    build: ./worker-1
  worker-2:
    build: ./worker-2
    depends_on:
      - worker-1
  gateway:
    image: nginx:latest
    ports:
      - 8080:8080
    volumes:
      - ./static:/usr/share/nginx/html:ro
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro